#header {
    position: relative;
}

.topbar {
    padding: 20px;
    clear: both;
}


    .topbar.fixed.active {
        top: 0px;
        transition: all 0.8s;
        -webkit-box-shadow: 0px 5px 5px 0px rgba(0,0,0,0.3);
        -moz-box-shadow: 0px 5px 5px 0px rgba(0,0,0,0.3);
        box-shadow: 0px 5px 5px 0px rgba(0,0,0,0.3);
    }

    .topbar.fixed {
        padding: 10px;
        top: -94px;
        position: fixed;
        display: block;
        width: 100%;
        background-color: #fff;
        z-index: 80;
        transition: all 0.8s;
        box-sizing: border-box;
    }

        .topbar.fixed .menu_icon {
            margin-top: 10px;
            margin-right: 10px;
        }


        .topbar.fixed .cart {
            float: right;
            margin-top: 13px;
            margin-right: 20px;
        }


        .topbar.fixed .search {
            margin-top: 8px;
            width: auto;
            float: right;
        }

            .topbar.fixed .search input {
                width: 350px;
            }


.logo {
    float: left;
}


.menu_icon {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}


    .menu_icon .normal {
        opacity: 1;
    }

        .menu_icon .normal.hide {
            opacity: 0;
            transition: all 0.6s;
        }

    .menu_icon .menu_close.hide {
        opacity: 0;
        transition: all 0.6s;
    }

    .menu_icon .menu_close {
        opacity: 1;
        position: absolute;
        transition: all 0.6s;
    }

.optionbar {
    display: inline-flex;
    align-items: center;
    float: right;
    gap: 16px;
    margin-top: 20px;
}

    /*  .optionbar .login,*/
    .optionbar .rfq,
    .optionbar .cart {
        border: 1px solid #ddd;
        padding: 3px 3px 3px 8px;
        border-radius: 5px;
    }

.top_menu img {
    margin-right: 8px;
}

.top_menu {
    /* border: 1px solid #ddd;
    border-radius: 5px;
    padding: 8px 30px 8px 10px;
    cursor: pointer;*/
    position: relative;
}

    /*    .top_menu:after {
        content: "";
        width: 9px;
        height: 8px;
        position: absolute;
        right: 10px;
        top: 15px;
        margin-left: 10px;
        background-image: url('/img/select_arrow.png');
        background-repeat: no-repeat;
        background-position: 90% 50%;
    }*/


    .top_menu .child {
        position: absolute;
        top: 40px;
        left: 0px;
        background-color: #fefefe;
        display: none;
        /* border: 1px solid #ccc; */
        border: 1px solid #ddd;
        z-index: 100;
        min-width: 100px;
    }

        .top_menu .child li {
            margin-top: 8px;
            margin-bottom: 8px;
            padding: 8px 25px;
            white-space: nowrap;
            transition: all 0.5s;
            text-align: center;
        }

            .top_menu .child li a {
                width: 100%;
            }

            .top_menu .child li:hover {
                background-color: #eee;
                transition: all 1s;
            }

        .top_menu .child.active {
            display: block;
        }


    .top_menu img {
        vertical-align: top;
    }

    .top_menu span {
        vertical-align: top;
    }

    .top_menu.lang span {
        display: none;
    }

.lang {
    background-image: url(../img/icon-language.png);
}

.login,
.profile {
    background-image: url(../img/icon-member.png);
}

.profile {
    padding-left: 40px;
    display: flex;
    width: fit-content !important;
    justify-content: center;
    align-items: center;
}

.hover_img_btn {
    height: 32px;
    width: 36px;
    cursor: pointer;
    background-repeat: no-repeat;
}

    .hover_img_btn:hover {
        background-position: left bottom;
    }

.optionbar .rfq.hover_img_btn {
    background-image: url(../img/cart/icon-RFQ.png);
}



/*.optionbar > div.login {
    width: 20px;
    height: 20px;*/
/* border: 1px solid #ccc; */
/*border: 1px solid #ddd;
    padding: 8px 8px 8px 8px;
    text-align: center;
}

    .optionbar > div.login img {
        vertical-align: top;
    }*/

.optionbar div.rfq,
.optionbar div.cart {
    border: 0px solid #ccc;
    padding: unset;
}

    .optionbar div.cart img {
        vertical-align: middle;
    }

.optionbar h6 {
    display: inline-block;
    margin-right: 0px;
    font-weight: 900;
}


    .optionbar h6 img {
        vertical-align: top;
    }


.optionbar select {
    border: 0px;
    padding: 5px;
    padding-right: 15px;
    font-size: 16px;
}

.search {
    text-align: right;
    margin-right: 20px;
}

#header .search {
    width: 60%;
    float: right;
}


.search input {
    height: 34px;
    width: 50%;
    border: 1px solid #e9e2e2;
}

    .search input:focus {
        outline: none;
    }

.search button {
    height: 36px;
    width: 78px;
    border: 1px solid #e9e2e2;
    border-left: 0px;
    vertical-align: top;
    cursor: pointer;
}

.menu li {
    margin-bottom: 30px;
}

    .menu li a {
        font-size: 22px;
        color: #262626;
        text-transform: uppercase;
        font-weight: 700;
        letter-spacing: 3px;
        padding: 10px 100px;
    }

        .menu li a:hover {
            background: rgb(140,140,140);
            background: linear-gradient(90deg, rgba(140,140,140,0) 0%, rgba(140,140,140,0.4990371148459384) 50%, rgba(140,140,140,0) 100%);
            transition: 0.5s all;
        }


.menu {
    display: block;
    width: 100%;
    background-color: rgba(255,255,255,0.9);
    position: absolute;
    height: 0;
    z-index: 99;
    text-align: center;
    overflow: hidden;
    transition: all 1s;
}

    .menu .parent {
        padding: 80px;
    }


    .menu.active {
        height: 100vh;
        transition: all 1s;
    }

    .menu.scroll {
        position: fixed;
        top: 79px;
    }


.topbar.fixed .menu.scroll {
    top: 79px;
}



.menu ul.child {
    display: none;
}

.top_search_bar {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.floating {
    position: fixed !important;
    box-shadow: #00000029 0 3px 3px 0px;
}

/*@media only screen and (max-width: 1400px) {
*/    #header {
        top: 0;
        width: 100%;
        background: white;
        transition: transform 0.3s ease;
        z-index: 10;
    }

    .hidden-header {
        transform: translateY(-100%);
    }

    #header.floating {
    }

        #header.floating .topbar {
            padding: 10px;
        }

            #header.floating .topbar > .row {
                display: flex;
                align-items: center;
            }

        #header.floating .logo img {
            max-height: 45px;
        }

        #header.floating .optionbar .login,
        #header.floating .optionbar .profile,
        #header.floating .optionbar .lang {
            display: none;
        }

        #header.floating .top_search_bar {
            flex: 1;
            padding-right: 140px;
        }

        #header.floating .menu_icon {
            position: absolute;
            right: 10px;
        }

            #header.floating .menu_icon > img {
                max-width: 32px;
            }

        #header.floating .optionbar {
            position: absolute;
            top: 0;
            right: 62px;
        }
/*}
*/

@media (max-width: 1199px) {
    .search input {
        width: 70%;
    }
}

@media (max-width: 991px) {
    .menu_contianer {
        position: static;
    }

    .menu.scroll {
        top: 79px;
    }
}

@media (max-width:767px) {
    #header .topbar {
        padding: 15px;
        padding-bottom: 7px;
    }

        #header .topbar > .row {
            position: relative;
            min-height: 130px;
            display: flex;
            flex-direction: column;
            gap: 10px;
            align-items: inherit !important;
        }

    .logo img {
        max-height: 45px;
    }

    .top_search_bar {
        width: 100%;
    }

    .optionbar {
        margin-left: auto;
        margin-top: 5px;
    }

    .menu_icon {
        position: absolute;
        top: 11px;
        right: 0px;
    }

        .menu_icon > img {
            max-width: 32px;
        }

    .login,
    .profile {
        position: absolute;
        left: 0px;
    }

    .lang {
        position: absolute;
        top: 7px;
        right: 50px;
    }

    .top_menu.currency {
        position: absolute;
        top: 0px;
        right: 80px;
        margin-top: 5px;
    }

    .topbar {
        margin-bottom: 0px;
    }

        .topbar.fixed .menu_icon {
            top: 15px;
            right: 10px;
        }

        .topbar.fixed .cart {
            position: absolute;
            top: 15px;
            right: 65px;
        }

    #header .search {
        width: 100%;
        display: flex;
        text-align: left;
        margin-right: 0px;
    }

        #header .search > input {
            flex: 1;
        }

    .topbar.fixed {
        padding: 10px;
        top: -287px;
        position: fixed;
        display: block;
        width: 100%;
        background-color: #fff;
        z-index: 80;
        transition: all 0.8s;
    }

    #header .topbar.fixed .search {
        margin-right: auto;
        margin-left: auto;
        width: 98%;
        margin-top: 10px;
        float: none;
    }

    #header.floating .top_search_bar {
        padding-right: unset;
        flex: unset;
    }

    #header.floating .topbar > .row {
        gap: 5px;
        min-height: unset;
    }

    .topbar.fixed .menu_icon {
        float: right;
    }

    .menu li a {
        padding: 10px 40px;
    }

    .menu .parent {
        padding: 80px 20px;
    }

    .menu {
        display: block;
        width: 100%;
        background-color: rgba(255,255,255,0.9);
        position: absolute;
        height: 0;
        z-index: 99;
        text-align: center;
        overflow: hidden;
        transition: all 1s;
        position: absolute;
        right: 0px;
    }
        .menu.scroll {
            top: 130px;
        }
}
